Package ru.bitel.bgbilling.modules.runtel.common.service

# Interface RunTelService

public interface RunTelService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteContractTariff(int id)`
  `RunTelContractTariff`
  `getContractTariff(int contractTariffId)`
  `List<RunTelIdPeriod>`
  `getContractTariffIds(int contractId)`
  `LocalDateTime`
  `getOnDateContractTariff(int contractId)`
  `RunTelTariff`
  `getRunTelTariff(int id)`
  `List<TariffAdditionalItem>`
  `getTariffAdditionalServiceItems()`
  `List<TariffIncludeItem>`
  `getTariffIncludeItems()`
  `List<TariffServiceItem>`
  `getTariffServiceItems()`
  `SearchResult<RunTelContractTariff>`
  `searchContractRunTelTariff(int contractId, PeriodWithTime period)`
  `SearchResult<RunTelTariff>`
  `searchRunTelTariff()`
  `int`
  `updateContractTariff(RunTelContractTariff runTelContractTariff)`
  `void`
  `updateContractTariffDateTo(int contractTariffId, LocalDateTime dateTo)`
  `void`
  `updateTariff(RunTelTariff runTelTariff)`

- ## Method Details

  - ### searchContractRunTelTariff

    SearchResult<RunTelContractTariff> searchContractRunTelTariff(int contractId, PeriodWithTime period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchRunTelTariff

    SearchResult<RunTelTariff> searchRunTelTariff() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRunTelTariff

    RunTelTariff getRunTelTariff(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTariff

    void updateTariff(RunTelTariff runTelTariff) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractTariff

    RunTelContractTariff getContractTariff(int contractTariffId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOnDateContractTariff

    LocalDateTime getOnDateContractTariff(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractTariff

    int updateContractTariff(RunTelContractTariff runTelContractTariff) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractTariffDateTo

    void updateContractTariffDateTo(int contractTariffId, LocalDateTime dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractTariff

    void deleteContractTariff(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffServiceItems

    List<TariffServiceItem> getTariffServiceItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffIncludeItems

    List<TariffIncludeItem> getTariffIncludeItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffAdditionalServiceItems

    List<TariffAdditionalItem> getTariffAdditionalServiceItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractTariffIds

    List<RunTelIdPeriod> getContractTariffIds(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`